Loading...
Searching...
No Matches
HyperElasticProblem Class Reference

Hyperelastic problem class. More...

## Public Member Functions

| HyperElasticProblem (fem::Form< T > &L, fem::Form< T > &J, const std::vector< fem::DirichletBC< T > > &bcs)
| Constructor.
virtual | ~HyperElasticProblem ()
| Destructor.
auto | form ()
| Form.
auto | F ()
| Compute F at current point x.
auto | J ()
| Compute J = F' at current point x.
Vec | vector ()
| RHS vector.
Mat | matrix ()
| Jacobian matrix.

## Detailed Description

Hyperelastic problem class.

## Member Function Documentation

## form()

auto form | ( |  | ) |

inline

Form.

Returns

The documentation for this class was generated from the following file:

- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/demo/hyperelasticity/main.cpp